import typer
import gmirator.generate
import gmirator.synchronise


app = typer.Typer(
        add_completion=False,
        help="gmirator helps you publish in both gmi and html"
)
app.add_typer(gmirator.generate.app, name='gen')
app.add_typer(gmirator.synchronise.app, name='sync')

if __name__ == "__main__":
    app()
